Subject: Re: [PATCH net-next] Revert "net: dsa: constify cpu_dp member of dsa_port"

From: Andrew Lunn <[email-masked]>
Date: Thu, 9 Nov 2017 23:06:14 +0100

On Thu, Nov 09, 2017 at 09:39:32AM -0500, Vivien Didelot wrote:
> We may have to pass a port's dedicated CPU port to port-wide functions
> such as dsa_port_mdb_add, e.g. when offloading bridge device's MDB.
> 
> The DSA port-wide functions currently take a non-const struct dsa_port *
> as first argument so we cannot make cpu_dp const yet, even though it'd
> be more correct. Revert this patch and make cpu_dp non-const again.

Hi Vivien

We cannot make cpu_dp const yet. But we can change dsa_port_mdb_add()
and friends to take a const, because they don't need to modify it.

So NACK.

And i will add the needed const attributes to these functions as part
of the IGMP patchset.

    Andrew